<?php
	function is_page_or_subpage_of($x){
		global $post;
		
		// If numeric or slug, get the corresponding information
		if(!is_numeric($x)) {
			$page = get_page_by_path($x);
		} else {
			$page->ID = $x;
		}
		
		// If page or subpage
		if(is_page($x) || in_array($page->ID,get_post_ancestors($post->ID))) {
			return true;
		} else {
			return false;
		}
	}
	
	// Remove Generator (For Security)
	function no_generator() { return ''; }
	add_filter('the_generator','no_generator');
?>